/*================================================================================================*
 * Управление сигналами синхронизации, DIGIN/DIGOUT и дополнительными входами/выходами
 *================================================================================================*/

#ifndef AUX_IO_H_
#define AUX_IO_H_

#include "global.h"

/*================================================================================================*/
enum aux_digout
    {
    AUX_DIGOUT1, AUX_DIGOUT2
    };
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void aux_init(void);
/*------------------------------------------------------------------------------------------------*/
void aux_digout_set_gpio(enum aux_digout digout_n, uint8_t val);
/*------------------------------------------------------------------------------------------------*/
void aux_digout_set_uarttx(enum aux_digout digout_n);
/*------------------------------------------------------------------------------------------------*/
void aux_mark_start_off(void);      /* Остановка генерации меток СТАРТ (выход в 0) */
/*------------------------------------------------------------------------------------------------*/
void aux_mark_start_go(void);       /* Генерация метки СТАРТ */
/*------------------------------------------------------------------------------------------------*/
void aux_mark_1s_off(void);         /* Остановка генерации секундных меток (выход в 0) */
/*------------------------------------------------------------------------------------------------*/
void aux_mark_1s_go_single(void);   /* Генерация однократной метки на выходе СЕКУНДА */
/*------------------------------------------------------------------------------------------------*/
void aux_mark_1s_go(void);          /* Запуск периодических секундных меток */
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
#endif /* AUX_IO_H_ */
